/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  main.c
*作  者:  Liut
*版  本:  V1.00
*日  期:  2017/06/24
*描  述:  IIC主机演示主程序
          本程序为主机程序，负责发起写和读，从从机中读取9个字节数据，然后发给从机。
                    SCL:PA31, SDA:PA30
*备  注:  适用于HRSDK-GDB-ES8P508x V1.0
          本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

uint8_t rxbuf[9];
uint8_t txbuf[9];

int main()
{
    PLLClock_Config(ENABLE, SCU_PLL_HRC, SCU_PLL_48M, ENABLE);  /* PLL使能，倍频到48MHz */
    SystemCoreClock = 48000000;
    SystemInit();                               /* 配置时钟 */
    DeviceClockAllEnable();                     /* 打开所有外设时钟 */
    SysTickInit();

    while (1)
    {
        IICReadBuf(SLAVE_ADDR, rxbuf, 9);
        memcpy(txbuf, rxbuf, 9);
        Delay1ms(2000);
        IICWriteBuf(SLAVE_ADDR, txbuf, 9);
        Delay1ms(2000);
    }
}

